Summary: Remote control through bluetooth or IR connection
Name: anyremote
Version: 5.1.3
Release: 1%{?dist}
License: GPLv2+
Group: Applications/System
Source0: http://downloads.sourceforge.net/anyremote/%{name}-%{version}.tar.gz
URL: http://anyremote.sourceforge.net/
Requires: bc,dbus-glib,anyremote-data >= 5.1.3
BuildRequires:bluez-libs-devel >= 3.35, libX11-devel, libXtst-devel, xorg-x11-proto-devel, glib2-devel >= 2.18, dbus-devel >= 1.2.4, dbus-glib-devel >= 0.76
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

%description
The overall goal of this project is to provide remote control service on Linux 
through Bluetooth, InfraRed, Wi-Fi or TCP/IP connection.
anyRemote supports wide range of modern cell phones like Nokia, SonyEricsson, 
Motorola and others. 

%prep
%setup -q

%build
%configure
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files 
%defattr(-,root,root,-)
%{_bindir}/%{name}
%{_mandir}/man1/%{name}.1.gz

%package data
Summary: Configuration files for anyRemote
Group: Applications/System

%description data
Configuration files for anyRemote

%files data
%defattr(-,root,root,-)
%{_datadir}/%{name}

%package doc
Summary: Documentation for anyRemote
Group: Applications/System

%description doc
Documentation for anyRemote

%files doc
%defattr(-,root,root,-)
%doc %{_defaultdocdir}/%{name}


%changelog

* Thu Jul 8 2010 Mikhail Fedotov <anyremote at mail.ru> - 5.1.3
- Some configuration files and documentation were corrected.
  Added configuration file for QMMP. 

* Sat Mar 13 2010 Mikhail Fedotov <anyremote at mail.ru> - 5.1.2
- Some configuration files and documentation were corrected.

* Wed Feb 03 2010 Mikhail Fedotov <anyremote at mail.ru> - 5.1.1
- Fixed Red Hat bugzilla bug 560182. Some configuration files and documentation
  were corrected.

* Mon Jan 04 2010 Mikhail Fedotov <anyremote at mail.ru> - 5.1
- Better support of Command Fusion's iViewer, tested on iPod Touch.
  Exclude keyjnote, kpdf, kuickshow, kview, noatun and KDE3-related 
  configuration files from the release. Added configuration file for Dragon player.
  Add KDE4 support in Kaffeine configuration file.

* Mon Sep 14 2009 Mikhail Fedotov <anyremote at mail.ru> - 5.0
- anyRemote was rewritten using multithreading and GLib.
  Native D-BUS support. Format of configuration file was significantly changed.

* Mon Mar 30 2009 Mikhail Fedotov <anyremote at mail.ru> - 4.18.1-1
- Add GuiAppModes tag to configuration files.

* Tue Mar 17 2009 Mikhail Fedotov <anyremote at mail.ru> - 4.18-1
- Get(password) and Get(ping) commands were added.
  Experimental support for iPhones/iPods with Command Fusion iViewer installed.

* Wed Feb 4 2009 Mikhail Fedotov <anyremote at mail.ru> - 4.17-1
- Fixed crash with all-in-one2.cfg. Added configuration files for Impressive
  (former KeyJnote, thanks to Cedric Barboiron).

* Tue Jan 27 2009 Mikhail Fedotov <anyremote at mail.ru> - 4.16-1
- Add possibility to set SDP service name. Corrections of configuration files.
  Configuration files for KsCD/KDE4 and Eye-of-Gnome were added.
  Created icon auto-upload feature.

* Fri Jan 16 2009 Mikhail Fedotov <anyremote at mail.ru> - 4.15-1
- Fixed crash issue in case of anyremote was runned without X.
  Fix hang in Load() command in case of empty file.

* Sat Jan 10 2009 Mikhail Fedotov <anyremote at mail.ru> - 4.14-1
- Small corrections in configuration files. Configuration files for AlsaPlayer, 
  Digikam (thanks to Marcus Hardt) and GPicView were added. 
  Syntax of Emulate() command was extended.

* Sat Dec 07 2008 Mikhail Fedotov <anyremote at mail.ru> - 4.13-1
- Small corrections in configuration files. Configuration file for WmCtrl and 
  Juk/KDE4 were added.

* Thu Nov 13 2008 Mikhail Fedotov <anyremote at mail.ru> - 4.12-1
- Added configuration file for XBMC (thanks to Everthon Valadao), Okular 
  Gwenview/KDE4 and Amarok2/KDE4. Support nonn-UTF8 encodings in 
  configurational files. Intergrated FreeBSD patch by Alex Samorukov.

* Mon Oct 20 2008 Mikhail Fedotov <anyremote at mail.ru> - 4.11-1
- Fixed issues with non-correct handling of files and directories names with 
  braces and brackets in some configuration files. 
  Several small changes in code.

* Mon Oct 6 2008 Mikhail Fedotov <anyremote at mail.ru> - 4.10-1
- Fixed issue with non-correct handling of files and directories names with 
  braces and brackets in some configuration files. A lot of changes in 
  documentation. Several small changes in code.

* Mon Sep 29 2008 Mikhail Fedotov <anyremote at mail.ru> - 4.9-1
- Get(version) command was introduced. Added possibility to create 
  user-specific phone initialization.

* Tue Sep 9 2008 Mikhail Fedotov <anyremote at mail.ru> - 4.8.1-1
- Small corrections.

* Thu Sep 4 2008 Mikhail Fedotov <anyremote at mail.ru> - 4.8-1
- Added configuration file for gThumb.
  Added GuiDescription field to configuration files.

* Thu Aug 7 2008 Mikhail Fedotov <anyremote at mail.ru> - 4.7.1-1
- Fix crash issue if no bluetooth service runned

* Tue Aug 5 2008 Mikhail Fedotov <anyremote at mail.ru> - 4.7-1
- Small enhancements

* Fri May 30 2008 Mikhail Fedotov <anyremote at mail.ru> - 4.6-1
- Small enhancements

* Sun May 18 2008 Mikhail Fedotov <anyremote at mail.ru> - 4.5-1
- Better integration with anyremote2http: -http command line 
  parameter was added.

* Tue Mar 07 2008 Mikhail Fedotov <anyremote at mail.ru> - 4.4-1.fc8
- Spec file correction. Some minor enhancemens.

* Tue Mar 02 2008 Mikhail Fedotov <anyremote at mail.ru> - 4.3-4.fc8
- Spec file correction. Move J2ME stuff out of the package.

* Tue Feb 26 2008 Mikhail Fedotov <anyremote at mail.ru> - 4.3-3.fc8
- Spec file correction

* Sun Feb 17 2008 Mikhail Fedotov <anyremote at mail.ru> - 4.3-2.fc8
- Spec file correction

* Mon Feb 15 2008 Mikhail Fedotov <anyremote at mail.ru> - 4.3-1.fc8
- Bugfixes and small enhancements.Support for touchscreen devices was improved

* Fri Jan 10 2008 Mikhail Fedotov <anyremote at mail.ru> - 4.2-1.fc8
- Spec file modified.
